Name:          howl-logger
Version:       1.0.2
Release:       %mkrel 19
Summary:       High-speed ObjectWeb Logger
Group:         Development/Java
License:       BSD
URL:           http://forge.ow2.org/projects/howl/
# svn export svn://svn.forge.objectweb.org/svnroot/howl/tags/HOWL_1_0_2/howl/logger/ howl-logger-1.0.2
# tar czf howl-logger-1.0.2-src-svn.tar.gz howl-logger-1.0.2
Source0:       %{name}-%{version}-src-svn.tar.gz

# test deps
BuildRequires: mvn(junit:junit)

BuildRequires: maven-local

BuildArch:     noarch

%description
HOWL is a logger implementation providing features
required by the ObjectWeb JOTM project, with a public
API that is generally usable by any Transaction Manager.
HOWL uses unformatted binary logs to maximize performance
and specifies a journalization API with methods necessary
to support JOTM recovery operations.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
rm -r .externalToolBuilders .settings
%pom_xpath_set "pom:project/pom:build/pom:plugins/pom:plugin[pom:artifactId='maven-compiler-plugin']/pom:configuration/pom:source" 1.8
%pom_xpath_set "pom:project/pom:build/pom:plugins/pom:plugin[pom:artifactId='maven-compiler-plugin']/pom:configuration/pom:target" 1.8
%pom_xpath_set "pom:project/pom:version" %{version}

# these test fails
# java.lang.OutOfMemoryError: unable to create new native thread: 785 threads created
rm -r src/test/org/objectweb/howl/log/BigLogTest.java \
 src/test/org/objectweb/howl/log/ThroughputTest.java \
 src/test/org/objectweb/howl/log/LogTest.java
sed -i "s|junit.textui.TestRunner.run(LogTest.class);|//junit.textui.TestRunner.run(LogTest.class);|" \
  src/test/org/objectweb/howl/log/allTest.java \
  src/test/org/objectweb/howl/log/ExceptionTest.java
# this test often fails on our autobuild
sed -i "s|junit.textui.TestRunner.run(XALoggerTest.class);|//junit.textui.TestRunner.run(XALoggerTest.class);|" \
  src/test/org/objectweb/howl/log/allTest.java

%mvn_file :howl %{name} howl
%mvn_alias :howl "howl:%{name}"

%build

%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8 

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt


%changelog
* Thu May 23 2024 ns80 <ns80> 1.0.2-19.mga10
+ Revision: 2066685
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 1.0.2-18.mga9
+ Revision: 1827627
- Mageia 9 Mass Rebuild

* Sat Dec 05 2020 luigiwalser <luigiwalser> 1.0.2-17.mga8
+ Revision: 1653108
- set java source and target version to 1.8 to fix build

* Tue Feb 11 2020 umeabot <umeabot> 1.0.2-16.mga8
+ Revision: 1489364
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.0.2-15.mga7
+ Revision: 1260408
- Mageia 7 Mass Rebuild

* Sun Jun 04 2017 neoclust <neoclust> 1.0.2-14.mga6
+ Revision: 1106705
- Disable tests

* Fri May 19 2017 neoclust <neoclust> 1.0.2-13.mga6
+ Revision: 1103180
- Rebuild against fixed java stack

* Fri Oct 14 2016 daviddavid <daviddavid> 1.0.2-12.mga6
+ Revision: 1060785
- disable "XALoggerTest.java" test who often fails on our autobuild

* Wed Mar 02 2016 neoclust <neoclust> 1.0.2-11.mga6
+ Revision: 982598
- Second rebuild of the java stack

* Mon Feb 29 2016 daviddavid <daviddavid> 1.0.2-10.mga6
+ Revision: 980935
- First rebuild of the java stack
- sync package howl-logger with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Feb 18 2015 daviddavid <daviddavid> 1.0.2-9.mga5
+ Revision: 815605
- disable tests failure:
  * java.lang.AssertionError: unexpected LogFileOverflowException

* Wed Jan 21 2015 daviddavid <daviddavid> 1.0.2-8.mga5
+ Revision: 811778
- Sync with fc21

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-7.mga5
+ Revision: 742789
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Jan 11 2014 dmorgan <dmorgan> 1.0.2-5.mga4
+ Revision: 566216
- Disable tests

* Tue Oct 22 2013 umeabot <umeabot> 1.0.2-4.mga4
+ Revision: 545863
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 luigiwalser <luigiwalser> 1.0.2-3.mga4
+ Revision: 501935
- BR maven-local for mvn-rpmbuild

* Sun Jan 13 2013 dmorgan <dmorgan> 1.0.2-2.mga3
+ Revision: 361706
- Build with maven3
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 18 2011 gil <gil> 1.0.2-1.mga2
+ Revision: 156312
- imported package howl-logger


* Sat Jun 25 2011 gil <gil> 1.0.2-0.%%mkrel
- initial rpm